# DataExchange
TKSTEPBase
StepShape

# StepShape_RightAngularWedge Class Reference

`#include <StepShape_RightAngularWedge.hxx>`

Inheritance diagram for StepShape_RightAngularWedge:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_RightAngularWedge ()
| Returns a RightAngularWedge .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Axis2Placement3d)&aPosition, const Standard_Real aX, const Standard_Real aY, const Standard_Real aZ, const Standard_Real aLtx)
Standard_EXPORT void | SetPosition (const Handle(StepGeom_Axis2Placement3d)&aPosition)
Standard_EXPORT Handle_StepGeom_Axis2Placement3d | Position () const
Standard_EXPORT void | SetX (const Standard_Real aX)
Standard_EXPORT Standard_Real | X () const
Standard_EXPORT void | SetY (const Standard_Real aY)
Standard_EXPORT Standard_Real | Y () const
Standard_EXPORT void | SetZ (const Standard_Real aZ)
Standard_EXPORT Standard_Real | Z () const
Standard_EXPORT void | SetLtx (const Standard_Real aLtx)
Standard_EXPORT Standard_Real | Ltx () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Axis2Placement3d | position
Standard_Real | x
Standard_Real | y
Standard_Real | z
Standard_Real | ltx

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_RightAngularWedge::StepShape_RightAngularWedge | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_RightAngularWedge::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem.

virtual Standard_EXPORT void StepShape_RightAngularWedge::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Axis2Placement3d)& | aPosition,
|  | const Standard_Real | aX,
|  | const Standard_Real | aY,
|  | const Standard_Real | aZ,
|  | const Standard_Real | aLtx
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_RightAngularWedge::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Real StepShape_RightAngularWedge::Ltx | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_Axis2Placement3d StepShape_RightAngularWedge::Position | ( |  | ) | const

Standard_EXPORT void StepShape_RightAngularWedge::SetLtx | ( | const Standard_Real | aLtx | ) |

Standard_EXPORT void StepShape_RightAngularWedge::SetPosition | ( | const Handle(StepGeom_Axis2Placement3d)& | aPosition | ) |

Standard_EXPORT void StepShape_RightAngularWedge::SetX | ( | const Standard_Real | aX | ) |

Standard_EXPORT void StepShape_RightAngularWedge::SetY | ( | const Standard_Real | aY | ) |

Standard_EXPORT void StepShape_RightAngularWedge::SetZ | ( | const Standard_Real | aZ | ) |

Standard_EXPORT Standard_Real StepShape_RightAngularWedge::X | ( |  | ) | const

Standard_EXPORT Standard_Real StepShape_RightAngularWedge::Y | ( |  | ) | const

Standard_EXPORT Standard_Real StepShape_RightAngularWedge::Z | ( |  | ) | const

## Field Documentation

Standard_Real StepShape_RightAngularWedge::ltx `[private]`

Handle_StepGeom_Axis2Placement3d StepShape_RightAngularWedge::position `[private]`

Standard_Real StepShape_RightAngularWedge::x `[private]`

Standard_Real StepShape_RightAngularWedge::y `[private]`

Standard_Real StepShape_RightAngularWedge::z `[private]`

The documentation for this class was generated from the following file:

- StepShape_RightAngularWedge.hxx